# Snapshot report for `test/no-array-for-each.mjs`

The actual snapshot is saved in `no-array-for-each.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | foo.forEach?.(element => bar(element))

> Error 1/1

    `␊
    > 1 | foo.forEach?.(element => bar(element))␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #2
      1 | (foo.forEach(element => bar(element)))

> Error 1/1

    `␊
    > 1 | (foo.forEach(element => bar(element)))␊
        |      ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #3
      1 | foo.forEach(element => bar(element), thisArgument)

> Error 1/1

    `␊
    > 1 | foo.forEach(element => bar(element), thisArgument)␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #4
      1 | foo.forEach()

> Error 1/1

    `␊
    > 1 | foo.forEach()␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #5
      1 | const baz = foo.forEach(element => bar(element))

> Error 1/1

    `␊
    > 1 | const baz = foo.forEach(element => bar(element))␊
        |                 ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #6
      1 | foo?.forEach(element => bar(element))

> Error 1/1

    `␊
    > 1 | foo?.forEach(element => bar(element))␊
        |      ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #7
      1 | foo.forEach(bar)

> Error 1/1

    `␊
    > 1 | foo.forEach(bar)␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #8
      1 | foo.forEach(async function(element) {})

> Error 1/1

    `␊
    > 1 | foo.forEach(async function(element) {})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #9
      1 | foo.forEach(function * (element) {})

> Error 1/1

    `␊
    > 1 | foo.forEach(function * (element) {})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #10
      1 | foo.forEach(() => bar())

> Error 1/1

    `␊
    > 1 | foo.forEach(() => bar())␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #11
      1 | foo.forEach((element, index, array) => bar())

> Error 1/1

    `␊
    > 1 | foo.forEach((element, index, array) => bar())␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #12
      1 | property.forEach(({property}) => bar(property))

> Error 1/1

    `␊
    > 1 | property.forEach(({property}) => bar(property))␊
        |          ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #13
      1 | foo.forEach(element => {
      2 | 	do {
      3 | 		return
      4 | 	} while (element)
      5 | });

> Error 1/1

    `␊
    > 1 | foo.forEach(element => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	do {␊
      3 | 		return␊
      4 | 	} while (element)␊
      5 | });␊
    `

## Invalid #14
      1 | foo.forEach(element => {
      2 | 	while (element) {
      3 | 		return;
      4 | 	}
      5 | });

> Error 1/1

    `␊
    > 1 | foo.forEach(element => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	while (element) {␊
      3 | 		return;␊
      4 | 	}␊
      5 | });␊
    `

## Invalid #15
      1 | foo.forEach(element => {
      2 | 	for (let i = 0; i < 2; i++) {
      3 | 		return;
      4 | 	}
      5 | });

> Error 1/1

    `␊
    > 1 | foo.forEach(element => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	for (let i = 0; i < 2; i++) {␊
      3 | 		return;␊
      4 | 	}␊
      5 | });␊
    `

## Invalid #16
      1 | foo.forEach(element => {
      2 | 	for (let i in element) {
      3 | 		return;
      4 | 	}
      5 | });

> Error 1/1

    `␊
    > 1 | foo.forEach(element => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	for (let i in element) {␊
      3 | 		return;␊
      4 | 	}␊
      5 | });␊
    `

## Invalid #17
      1 | foo.forEach(element => {
      2 | 	for (let i of element) {
      3 | 		return;
      4 | 	}
      5 | });

> Error 1/1

    `␊
    > 1 | foo.forEach(element => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	for (let i of element) {␊
      3 | 		return;␊
      4 | 	}␊
      5 | });␊
    `

## Invalid #18
      1 | foo.forEach(element => {
      2 | 	switch (element) {
      3 | 		case 1:
      4 | 			break;
      5 | 		case 2:
      6 | 			return;
      7 | 	}
      8 | });

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	switch (element) {␊
      3 | 		case 1:␊
      4 | 			break;␊
      5 | 		case 2:␊
      6 | 			continue;␊
      7 | 	}␊
      8 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(element => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	switch (element) {␊
      3 | 		case 1:␊
      4 | 			break;␊
      5 | 		case 2:␊
      6 | 			return;␊
      7 | 	}␊
      8 | });␊
    `

## Invalid #19
      1 | foo.forEach(foo => bar());

> Error 1/1

    `␊
    > 1 | foo.forEach(foo => bar());␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #20
      1 | const foo = [];
      2 | foo.forEach(foo => bar());

> Error 1/1

    `␊
      1 | const foo = [];␊
    > 2 | foo.forEach(foo => bar());␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #21
      1 | const foo = [];
      2 | function unicorn() {
      3 | 	foo.forEach(foo => bar());
      4 | }

> Error 1/1

    `␊
      1 | const foo = [];␊
      2 | function unicorn() {␊
    > 3 | 	foo.forEach(foo => bar());␊
        | 	    ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      4 | }␊
    `

## Invalid #22
      1 | index.forEach((a, index) => bar());

> Error 1/1

    `␊
    > 1 | index.forEach((a, index) => bar());␊
        |       ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #23
      1 | const index = [];
      2 | index.forEach((a, index) => bar());

> Error 1/1

    `␊
      1 | const index = [];␊
    > 2 | index.forEach((a, index) => bar());␊
        |       ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #24
      1 | const index = [];
      2 | function unicorn() {
      3 | 	index.forEach((a, index) => bar());
      4 | }

> Error 1/1

    `␊
      1 | const index = [];␊
      2 | function unicorn() {␊
    > 3 | 	index.forEach((a, index) => bar());␊
        | 	      ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      4 | }␊
    `

## Invalid #25
      1 | a[foo].forEach(foo => bar());

> Error 1/1

    `␊
    > 1 | a[foo].forEach(foo => bar());␊
        |        ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #26
      1 | const foo = 1;
      2 | a[foo].forEach(foo => bar());

> Error 1/1

    `␊
      1 | const foo = 1;␊
    > 2 | a[foo].forEach(foo => bar());␊
        |        ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #27
      1 | const foo = 1;
      2 | function unicorn() {
      3 | 	a[foo].forEach(foo => bar());
      4 | }

> Error 1/1

    `␊
      1 | const foo = 1;␊
      2 | function unicorn() {␊
    > 3 | 	a[foo].forEach(foo => bar());␊
        | 	       ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      4 | }␊
    `

## Invalid #28
      1 | a[index].forEach((b, index) => bar());

> Error 1/1

    `␊
    > 1 | a[index].forEach((b, index) => bar());␊
        |          ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #29
      1 | a((foo) => foo).forEach(foo => bar());

> Output

    `␊
      1 | for (const foo of a((foo) => foo))  bar();␊
    `

> Error 1/1

    `␊
    > 1 | a((foo) => foo).forEach(foo => bar());␊
        |                 ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #30
      1 | a((foo, index) => foo + index).forEach((foo, index) => bar());

> Output

    `␊
      1 | for (const [index, foo] of a((foo, index) => foo + index).entries())  bar();␊
    `

> Error 1/1

    `␊
    > 1 | a((foo, index) => foo + index).forEach((foo, index) => bar());␊
        |                                ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #31
      1 | const foo = [];
      2 | const index = 1;
      3 | a.forEach((foo, index) => foo[index]);

> Output

    `␊
      1 | const foo = [];␊
      2 | const index = 1;␊
      3 | for (const [index, foo] of a.entries())  foo[index];␊
    `

> Error 1/1

    `␊
      1 | const foo = [];␊
      2 | const index = 1;␊
    > 3 | a.forEach((foo, index) => foo[index]);␊
        |   ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #32
      1 | foo.forEach(function a(element) {
      2 | 	bar(a)
      3 | })

> Error 1/1

    `␊
    > 1 | foo.forEach(function a(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(a)␊
      3 | })␊
    `

## Invalid #33
      1 | foo.forEach(function a(element) {
      2 | 	function b() {
      3 | 		bar(a)
      4 | 	}
      5 | })

> Error 1/1

    `␊
    > 1 | foo.forEach(function a(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	function b() {␊
      3 | 		bar(a)␊
      4 | 	}␊
      5 | })␊
    `

## Invalid #34
      1 | foo.forEach(function a(element) {
      2 | 	function b(a) {
      3 | 		bar(a)
      4 | 	}
      5 | })

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	function b(a) {␊
      3 | 		bar(a)␊
      4 | 	}␊
      5 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function a(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	function b(a) {␊
      3 | 		bar(a)␊
      4 | 	}␊
      5 | })␊
    `

## Invalid #35
      1 | foo.forEach(function(element) {
      2 | 	bar(this)
      3 | })

> Error 1/1

    `␊
    > 1 | foo.forEach(function(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(this)␊
      3 | })␊
    `

## Invalid #36
      1 | foo.forEach(function(element) {
      2 | 	function b() {
      3 | 		bar(this)
      4 | 	}
      5 | })

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	function b() {␊
      3 | 		bar(this)␊
      4 | 	}␊
      5 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	function b() {␊
      3 | 		bar(this)␊
      4 | 	}␊
      5 | })␊
    `

## Invalid #37
      1 | foo.forEach(function(element) {
      2 | 	const x = b => {
      3 | 		bar(this)
      4 | 	}
      5 | })

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	const x = b => {␊
      3 | 		bar(this)␊
      4 | 	}␊
      5 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	const x = b => {␊
      3 | 		bar(this)␊
      4 | 	}␊
      5 | })␊
    `

## Invalid #38
      1 | foo.forEach((element) => {
      2 | 	bar(this)
      3 | })

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	bar(this)␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(this)␊
      3 | })␊
    `

## Invalid #39
      1 | foo.forEach(function(element) {
      2 | 	bar(arguments)
      3 | })

> Error 1/1

    `␊
    > 1 | foo.forEach(function(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(arguments)␊
      3 | })␊
    `

## Invalid #40
      1 | foo.forEach(function(element) {
      2 | 	function b() {
      3 | 		bar(arguments)
      4 | 	}
      5 | })

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	function b() {␊
      3 | 		bar(arguments)␊
      4 | 	}␊
      5 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	function b() {␊
      3 | 		bar(arguments)␊
      4 | 	}␊
      5 | })␊
    `

## Invalid #41
      1 | foo.forEach(function(element) {
      2 | 	const b = () => {
      3 | 		bar(arguments)
      4 | 	}
      5 | })

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	const b = () => {␊
      3 | 		bar(arguments)␊
      4 | 	}␊
      5 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	const b = () => {␊
      3 | 		bar(arguments)␊
      4 | 	}␊
      5 | })␊
    `

## Invalid #42
      1 | foo.forEach((element) => {
      2 | 	bar(arguments)
      3 | })

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	bar(arguments)␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(arguments)␊
      3 | })␊
    `

## Invalid #43
      1 | foo.forEach(function (element) {
      2 | 	bar(element);
      3 | });

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	bar(element);␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function (element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element);␊
      3 | });␊
    `

## Invalid #44
      1 | foo.forEach(function withName(element) {
      2 | 	bar(element);
      3 | });

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	bar(element);␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function withName(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element);␊
      3 | });␊
    `

## Invalid #45
      1 | foo.forEach((element) => {
      2 | 	bar(element);
      3 | });

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	bar(element);␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element);␊
      3 | });␊
    `

## Invalid #46
      1 | foo.forEach((element) => bar(element));

> Output

    `␊
      1 | for (const element of foo)  bar(element);␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element) => bar(element));␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #47
      1 | foo.forEach(function (element, index) {
      2 | 	bar(element, index);
      3 | });

> Output

    `␊
      1 | for (const [index, element] of foo.entries()) {␊
      2 | 	bar(element, index);␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function (element, index) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element, index);␊
      3 | });␊
    `

## Invalid #48
      1 | foo.forEach(function withName(element, index) {
      2 | 	bar(element, index);
      3 | });

> Output

    `␊
      1 | for (const [index, element] of foo.entries()) {␊
      2 | 	bar(element, index);␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function withName(element, index) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element, index);␊
      3 | });␊
    `

## Invalid #49
      1 | foo.forEach((element, index) => {
      2 | 	bar(element, index);
      3 | });

> Output

    `␊
      1 | for (const [index, element] of foo.entries()) {␊
      2 | 	bar(element, index);␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element, index) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element, index);␊
      3 | });␊
    `

## Invalid #50
      1 | foo.forEach((element, index) => bar(element, index));

> Output

    `␊
      1 | for (const [index, element] of foo.entries())  bar(element, index);␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element, index) => bar(element, index));␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #51
      1 | (foo).forEach((element, index) => bar(element, index))

> Output

    `␊
      1 | for (const [index, element] of (foo).entries())  bar(element, index)␊
    `

> Error 1/1

    `␊
    > 1 | (foo).forEach((element, index) => bar(element, index))␊
        |       ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #52
      1 | (0, foo).forEach((element, index) => bar(element, index))

> Output

    `␊
      1 | for (const [index, element] of (0, foo).entries())  bar(element, index)␊
    `

> Error 1/1

    `␊
    > 1 | (0, foo).forEach((element, index) => bar(element, index))␊
        |          ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #53
      1 | foo.forEach(function (element) {
      2 | 	bar(element);
      3 | },);

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	bar(element);␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function (element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element);␊
      3 | },);␊
    `

## Invalid #54
      1 | foo.forEach(function withName(element) {
      2 | 	bar(element);
      3 | },);

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	bar(element);␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function withName(element) {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element);␊
      3 | },);␊
    `

## Invalid #55
      1 | foo.forEach((element) => {
      2 | 	bar(element);
      3 | },);

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	bar(element);␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element);␊
      3 | },);␊
    `

## Invalid #56
      1 | foo.forEach((element) => bar(element),);

> Output

    `␊
      1 | for (const element of foo)  bar(element);␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element) => bar(element),);␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #57
      1 | foo.forEach((element) => bar(element))
      2 | ;[foo].pop();

> Output

    `␊
      1 | for (const element of foo)  bar(element)␊
      2 | ;[foo].pop();␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element) => bar(element))␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | ;[foo].pop();␊
    `

## Invalid #58
      1 | foo.forEach((element) => {
      2 | 	bar(element);
      3 | });
      4 | function noneRelatedFunction() {
      5 | 	while (element) {
      6 | 		return;
      7 | 	}
      8 | }

> Output

    `␊
      1 | for (const element of foo) {␊
      2 | 	bar(element);␊
      3 | }␊
      4 | function noneRelatedFunction() {␊
      5 | 	while (element) {␊
      6 | 		return;␊
      7 | 	}␊
      8 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	bar(element);␊
      3 | });␊
      4 | function noneRelatedFunction() {␊
      5 | 	while (element) {␊
      6 | 		return;␊
      7 | 	}␊
      8 | }␊
    `

## Invalid #59
      1 | foo.forEach(element => ({}))

> Output

    `␊
      1 | for (const element of foo)  ({})␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(element => ({}))␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #60
      1 | foo.forEach((((((element => bar(element)))))));

> Output

    `␊
      1 | for (const element of foo)  bar(element);␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((((((element => bar(element)))))));␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #61
       1 | foo.forEach((element) => {
       2 | 	if (1) {
       3 | 		return;
       4 | 	}
       5 | 	if (1) {
       6 | 		return
       7 | 	}
       8 | 	if (1) {
       9 | 		return!true;
      10 | 	}
      11 | 	if (1) {
      12 | 		return!true
      13 | 	}
      14 | 	if (1) {
      15 | 		return bar();
      16 | 	}
      17 | 	if (1) {
      18 | 		return bar()
      19 | 		unreachable();
      20 | 	}
      21 | 	if (1) {
      22 | 		return {};
      23 | 	}
      24 | 	if (1) {
      25 | 		return ({});
      26 | 	}
      27 | 	if (1) {
      28 | 		return {a} = a;
      29 | 	}
      30 | 	if (1) {
      31 | 		return [a] = a;
      32 | 	}
      33 | 	if (1) {
      34 | 		foo
      35 | 		return []
      36 | 	}
      37 | 	if (1) {
      38 | 		foo
      39 | 		return [foo] = bar;
      40 | 	}
      41 | });

> Output

    `␊
       1 | for (const element of foo) {␊
       2 | 	if (1) {␊
       3 | 		continue;␊
       4 | 	}␊
       5 | 	if (1) {␊
       6 | 		continue␊
       7 | 	}␊
       8 | 	if (1) {␊
       9 | 		!true; continue;␊
      10 | 	}␊
      11 | 	if (1) {␊
      12 | 		!true; continue;␊
      13 | 	}␊
      14 | 	if (1) {␊
      15 | 		 bar(); continue;␊
      16 | 	}␊
      17 | 	if (1) {␊
      18 | 		 bar(); continue;␊
      19 | 		unreachable();␊
      20 | 	}␊
      21 | 	if (1) {␊
      22 | 		 ({}); continue;␊
      23 | 	}␊
      24 | 	if (1) {␊
      25 | 		 ({}); continue;␊
      26 | 	}␊
      27 | 	if (1) {␊
      28 | 		 ({a} = a); continue;␊
      29 | 	}␊
      30 | 	if (1) {␊
      31 | 		 ([a] = a); continue;␊
      32 | 	}␊
      33 | 	if (1) {␊
      34 | 		foo␊
      35 | 		 ;[]; continue;␊
      36 | 	}␊
      37 | 	if (1) {␊
      38 | 		foo␊
      39 | 		 ;([foo] = bar); continue;␊
      40 | 	}␊
      41 | }␊
    `

> Error 1/1

    `␊
    >  1 | foo.forEach((element) => {␊
         |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
       2 | 	if (1) {␊
       3 | 		return;␊
       4 | 	}␊
       5 | 	if (1) {␊
       6 | 		return␊
       7 | 	}␊
       8 | 	if (1) {␊
       9 | 		return!true;␊
      10 | 	}␊
      11 | 	if (1) {␊
      12 | 		return!true␊
      13 | 	}␊
      14 | 	if (1) {␊
      15 | 		return bar();␊
      16 | 	}␊
      17 | 	if (1) {␊
      18 | 		return bar()␊
      19 | 		unreachable();␊
      20 | 	}␊
      21 | 	if (1) {␊
      22 | 		return {};␊
      23 | 	}␊
      24 | 	if (1) {␊
      25 | 		return ({});␊
      26 | 	}␊
      27 | 	if (1) {␊
      28 | 		return {a} = a;␊
      29 | 	}␊
      30 | 	if (1) {␊
      31 | 		return [a] = a;␊
      32 | 	}␊
      33 | 	if (1) {␊
      34 | 		foo␊
      35 | 		return []␊
      36 | 	}␊
      37 | 	if (1) {␊
      38 | 		foo␊
      39 | 		return [foo] = bar;␊
      40 | 	}␊
      41 | });␊
    `

## Invalid #62
      1 | node.children.index.forEach((children, index) => process(children, index))

> Output

    `␊
      1 | for (const [index, children] of node.children.index.entries())  process(children, index)␊
    `

> Error 1/1

    `␊
    > 1 | node.children.index.forEach((children, index) => process(children, index))␊
        |                     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #63
      1 | (node?.children?.index).forEach((children, index) => process(children, index))

> Output

    `␊
      1 | for (const [index, children] of (node?.children?.index).entries())  process(children, index)␊
    `

> Error 1/1

    `␊
    > 1 | (node?.children?.index).forEach((children, index) => process(children, index))␊
        |                         ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #64
      1 | node[children].index.forEach((children, index) => process(children, index))

> Error 1/1

    `␊
    > 1 | node[children].index.forEach((children, index) => process(children, index))␊
        |                      ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #65
      1 | (node.children?.[index]).forEach((children, index) => process(children, index))

> Error 1/1

    `␊
    > 1 | (node.children?.[index]).forEach((children, index) => process(children, index))␊
        |                          ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #66
      1 | [{children: 1, index: 1}].forEach((children, index) => process(children, index))

> Output

    `␊
      1 | for (const [index, children] of [{children: 1, index: 1}].entries())  process(children, index)␊
    `

> Error 1/1

    `␊
    > 1 | [{children: 1, index: 1}].forEach((children, index) => process(children, index))␊
        |                           ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #67
      1 | [{[children]: 1, index: 1}].forEach((children, index) => process(children, index))

> Error 1/1

    `␊
    > 1 | [{[children]: 1, index: 1}].forEach((children, index) => process(children, index))␊
        |                             ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #68
      1 | [{[children]: 1, [index]: 1}].forEach((children, index) => process(children, index))

> Error 1/1

    `␊
    > 1 | [{[children]: 1, [index]: 1}].forEach((children, index) => process(children, index))␊
        |                               ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #69
      1 | [{children, index: 1}].forEach((children, index) => process(children, index))

> Error 1/1

    `␊
    > 1 | [{children, index: 1}].forEach((children, index) => process(children, index))␊
        |                        ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #70
      1 | [{children: 1, index}].forEach((children, index) => process(children, index))

> Error 1/1

    `␊
    > 1 | [{children: 1, index}].forEach((children, index) => process(children, index))␊
        |                        ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #71
      1 | [function name() {}].forEach((name, index) => process(name, index))

> Output

    `␊
      1 | for (const [index, name] of [function name() {}].entries())  process(name, index)␊
    `

> Error 1/1

    `␊
    > 1 | [function name() {}].forEach((name, index) => process(name, index))␊
        |                      ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #72
      1 | [
      2 | 	function () {
      3 | 		function index() {}
      4 | 	}
      5 | ].forEach((name, index) => process(name, index))

> Output

    `␊
      1 | for (const [index, name] of [␊
      2 | 	function () {␊
      3 | 		function index() {}␊
      4 | 	}␊
      5 | ].entries())  process(name, index)␊
    `

> Error 1/1

    `␊
      1 | [␊
      2 | 	function () {␊
      3 | 		function index() {}␊
      4 | 	}␊
    > 5 | ].forEach((name, index) => process(name, index))␊
        |   ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #73
      1 | [
      2 | 	function () {
      3 | 		class index {}
      4 | 	}
      5 | ].forEach((name, index) => process(name, index))

> Output

    `␊
      1 | for (const [index, name] of [␊
      2 | 	function () {␊
      3 | 		class index {}␊
      4 | 	}␊
      5 | ].entries())  process(name, index)␊
    `

> Error 1/1

    `␊
      1 | [␊
      2 | 	function () {␊
      3 | 		class index {}␊
      4 | 	}␊
    > 5 | ].forEach((name, index) => process(name, index))␊
        |   ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #74
      1 | [class Foo{}].forEach((Foo, index) => process(Foo, index))

> Output

    `␊
      1 | for (const [index, Foo] of [class Foo{}].entries())  process(Foo, index)␊
    `

> Error 1/1

    `␊
    > 1 | [class Foo{}].forEach((Foo, index) => process(Foo, index))␊
        |               ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #75
      1 | [class Foo{}].forEach((X, Foo) => process(X, Foo))

> Output

    `␊
      1 | for (const [Foo, X] of [class Foo{}].entries())  process(X, Foo)␊
    `

> Error 1/1

    `␊
    > 1 | [class Foo{}].forEach((X, Foo) => process(X, Foo))␊
        |               ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #76
      1 | [
      2 | 	class Foo {
      3 | 		bar() {}
      4 | 	}
      5 | ].forEach((Foo, bar) => process(Foo, bar))

> Output

    `␊
      1 | for (const [bar, Foo] of [␊
      2 | 	class Foo {␊
      3 | 		bar() {}␊
      4 | 	}␊
      5 | ].entries())  process(Foo, bar)␊
    `

> Error 1/1

    `␊
      1 | [␊
      2 | 	class Foo {␊
      3 | 		bar() {}␊
      4 | 	}␊
    > 5 | ].forEach((Foo, bar) => process(Foo, bar))␊
        |   ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #77
      1 | foo.React.Children.forEach(bar)

> Error 1/1

    `␊
    > 1 | foo.React.Children.forEach(bar)␊
        |                    ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #78
      1 | NotReact.Children.forEach(bar)

> Error 1/1

    `␊
    > 1 | NotReact.Children.forEach(bar)␊
        |                   ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #79
      1 | React.NotChildren.forEach(bar)

> Error 1/1

    `␊
    > 1 | React.NotChildren.forEach(bar)␊
        |                   ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #80
      1 | React?.Children.forEach(bar)

> Error 1/1

    `␊
    > 1 | React?.Children.forEach(bar)␊
        |                 ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #81
      1 | NotChildren.forEach(bar)

> Error 1/1

    `␊
    > 1 | NotChildren.forEach(bar)␊
        |             ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #82
      1 | foo.forEach(element => {
      2 | 	element ++;
      3 | })

> Output

    `␊
      1 | for (let element of foo) {␊
      2 | 	element ++;␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(element => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	element ++;␊
      3 | })␊
    `

## Invalid #83
      1 | foo.forEach(element => {
      2 | 	const a = -- element;
      3 | })

> Output

    `␊
      1 | for (let element of foo) {␊
      2 | 	const a = -- element;␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(element => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	const a = -- element;␊
      3 | })␊
    `

## Invalid #84
      1 | foo.forEach((element, index) => {
      2 | 	index ++;
      3 | 	element = 2
      4 | });

> Output

    `␊
      1 | for (let [index, element] of foo.entries()) {␊
      2 | 	index ++;␊
      3 | 	element = 2␊
      4 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element, index) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	index ++;␊
      3 | 	element = 2␊
      4 | });␊
    `

## Invalid #85
      1 | foo.forEach((element, index) => {
      2 | 	element >>>= 2;
      3 | });

> Output

    `␊
      1 | for (let [index, element] of foo.entries()) {␊
      2 | 	element >>>= 2;␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element, index) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	element >>>= 2;␊
      3 | });␊
    `

## Invalid #86
      1 | foo.forEach((element, index) => {
      2 | 	const a = element = 1;
      3 | });

> Output

    `␊
      1 | for (let [index, element] of foo.entries()) {␊
      2 | 	const a = element = 1;␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element, index) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	const a = element = 1;␊
      3 | });␊
    `

## Invalid #87
      1 | foo.forEach((element, index) => {
      2 | 	let a;
      3 | 	a >>>= element;
      4 | });

> Output

    `␊
      1 | for (const [index, element] of foo.entries()) {␊
      2 | 	let a;␊
      3 | 	a >>>= element;␊
      4 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element, index) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	let a;␊
      3 | 	a >>>= element;␊
      4 | });␊
    `

## Invalid #88
      1 | foo.forEach(({property}) => {bar(property)})

> Output

    `␊
      1 | for (const {property} of foo) {bar(property)}␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(({property}) => {bar(property)})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #89
      1 | foo.forEach(({foo: {foo: [property]}}) => {bar(property, index)})

> Output

    `␊
      1 | for (const {foo: {foo: [property]}} of foo) {bar(property, index)}␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(({foo: {foo: [property]}}) => {bar(property, index)})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #90
      1 | foo.forEach((element, {bar: {bar: [index]}}) => {bar(element, index)})

> Output

    `␊
      1 | for (const [{bar: {bar: [index]}}, element] of foo.entries()) {bar(element, index)}␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element, {bar: {bar: [index]}}) => {bar(element, index)})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #91
      1 | foo.forEach((element = elementDefaultValue, index = indexDefaultValue) => {})

> Output

    `␊
      1 | for (const [index = indexDefaultValue, element = elementDefaultValue] of foo.entries()) {}␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach((element = elementDefaultValue, index = indexDefaultValue) => {})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #92
      1 | foo.forEach(({}) => {})

> Output

    `␊
      1 | for (const {} of foo) {}␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(({}) => {})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #93
      1 | foo.forEach(function foo({a, b, c, d}) {})

> Output

    `␊
      1 | for (const {a, b, c, d} of foo) {}␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(function foo({a, b, c, d}) {})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #94
      1 | foo.forEach(function foo({a, b, c, d, foo}) {})

> Error 1/1

    `␊
    > 1 | foo.forEach(function foo({a, b, c, d, foo}) {})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #95
      1 | foo.forEach(({foo: property}) => {bar(property)})

> Output

    `␊
      1 | for (const {foo: property} of foo) {bar(property)}␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(({foo: property}) => {bar(property)})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #96
      1 | foo.forEach(({[foo]: property}) => {bar(property)})

> Output

    `␊
      1 | for (const {[foo]: property} of foo) {bar(property)}␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(({[foo]: property}) => {bar(property)})␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `

## Invalid #97
      1 | foo.forEach(({element}, index) => {
      2 | 	element &&= 2;
      3 | });

> Output

    `␊
      1 | for (let [index, {element}] of foo.entries()) {␊
      2 | 	element &&= 2;␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(({element}, index) => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	element &&= 2;␊
      3 | });␊
    `

## Invalid #98
      1 | foo.forEach(_ => {
      2 | 	if (true) return {};
      3 | })

> Output

    `␊
      1 | for (const _ of foo) {␊
      2 | 	if (true)  { ({}); continue; }␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(_ => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	if (true) return {};␊
      3 | })␊
    `

## Invalid #99
      1 | foo.forEach(_ => {
      2 | 	if (true);
      3 | 	else return {};
      4 | })

> Output

    `␊
      1 | for (const _ of foo) {␊
      2 | 	if (true);␊
      3 | 	else  { ({}); continue; }␊
      4 | }␊
    `

> Error 1/1

    `␊
    > 1 | foo.forEach(_ => {␊
        |     ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
      2 | 	if (true);␊
      3 | 	else return {};␊
      4 | })␊
    `

## Invalid #100
      1 | if (true) {} else[foo].forEach((element) => {})

> Output

    `␊
      1 | if (true) {} else for (const element of [foo]) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (true) {} else[foo].forEach((element) => {})␊
        |                        ^^^^^^^ Use \`for…of\` instead of \`Array#forEach(…)\`.␊
    `
