# Snapshot report for `test/no-await-expression-member.mjs`

The actual snapshot is saved in `no-await-expression-member.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | (await promise)[0]

> Error 1/1

    `␊
    > 1 | (await promise)[0]␊
        |                 ^ Do not access a member directly from an await expression.␊
    `

## Invalid #2
      1 | (await promise).property

> Error 1/1

    `␊
    > 1 | (await promise).property␊
        |                 ^^^^^^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #3
      1 | const foo = (await promise).bar()

> Error 1/1

    `␊
    > 1 | const foo = (await promise).bar()␊
        |                             ^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #4
      1 | const foo = (await promise).bar?.()

> Error 1/1

    `␊
    > 1 | const foo = (await promise).bar?.()␊
        |                             ^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #5
      1 | const foo = (await promise)?.bar()

> Error 1/1

    `␊
    > 1 | const foo = (await promise)?.bar()␊
        |                              ^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #6
      1 | const firstElement = (await getArray())[0]

> Output

    `␊
      1 | const [firstElement] = await getArray()␊
    `

> Error 1/1

    `␊
    > 1 | const firstElement = (await getArray())[0]␊
        |                                         ^ Do not access a member directly from an await expression.␊
    `

## Invalid #7
      1 | const secondElement = (await getArray())[1]

> Output

    `␊
      1 | const [, secondElement] = await getArray()␊
    `

> Error 1/1

    `␊
    > 1 | const secondElement = (await getArray())[1]␊
        |                                          ^ Do not access a member directly from an await expression.␊
    `

## Invalid #8
      1 | const thirdElement = (await getArray())[2]

> Error 1/1

    `␊
    > 1 | const thirdElement = (await getArray())[2]␊
        |                                         ^ Do not access a member directly from an await expression.␊
    `

## Invalid #9
      1 | const optionalFirstElement = (await getArray())?.[0]

> Error 1/1

    `␊
    > 1 | const optionalFirstElement = (await getArray())?.[0]␊
        |                                                   ^ Do not access a member directly from an await expression.␊
    `

## Invalid #10
      1 | const {propertyOfFirstElement} = (await getArray())[0]

> Error 1/1

    `␊
    > 1 | const {propertyOfFirstElement} = (await getArray())[0]␊
        |                                                     ^ Do not access a member directly from an await expression.␊
    `

## Invalid #11
      1 | const [firstElementOfFirstElement] = (await getArray())[0]

> Error 1/1

    `␊
    > 1 | const [firstElementOfFirstElement] = (await getArray())[0]␊
        |                                                         ^ Do not access a member directly from an await expression.␊
    `

## Invalid #12
      1 | let foo, firstElement = (await getArray())[0]

> Output

    `␊
      1 | let foo, [firstElement] = await getArray()␊
    `

> Error 1/1

    `␊
    > 1 | let foo, firstElement = (await getArray())[0]␊
        |                                            ^ Do not access a member directly from an await expression.␊
    `

## Invalid #13
      1 | var firstElement = (await getArray())[0], bar

> Output

    `␊
      1 | var [firstElement] = await getArray(), bar␊
    `

> Error 1/1

    `␊
    > 1 | var firstElement = (await getArray())[0], bar␊
        |                                       ^ Do not access a member directly from an await expression.␊
    `

## Invalid #14
      1 | const property = (await getObject()).property

> Output

    `␊
      1 | const {property} = await getObject()␊
    `

> Error 1/1

    `␊
    > 1 | const property = (await getObject()).property␊
        |                                      ^^^^^^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #15
      1 | const renamed = (await getObject()).property

> Error 1/1

    `␊
    > 1 | const renamed = (await getObject()).property␊
        |                                     ^^^^^^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #16
      1 | const property = (await getObject())[property]

> Error 1/1

    `␊
    > 1 | const property = (await getObject())[property]␊
        |                                      ^^^^^^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #17
      1 | const property = (await getObject())?.property

> Error 1/1

    `␊
    > 1 | const property = (await getObject())?.property␊
        |                                       ^^^^^^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #18
      1 | const {propertyOfProperty} = (await getObject()).property

> Error 1/1

    `␊
    > 1 | const {propertyOfProperty} = (await getObject()).property␊
        |                                                  ^^^^^^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #19
      1 | const {propertyOfProperty} = (await getObject()).propertyOfProperty

> Error 1/1

    `␊
    > 1 | const {propertyOfProperty} = (await getObject()).propertyOfProperty␊
        |                                                  ^^^^^^^^^^^^^^^^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #20
      1 | const [firstElementOfProperty] = (await getObject()).property

> Error 1/1

    `␊
    > 1 | const [firstElementOfProperty] = (await getObject()).property␊
        |                                                      ^^^^^^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #21
      1 | const [firstElementOfProperty] = (await getObject()).firstElementOfProperty

> Error 1/1

    `␊
    > 1 | const [firstElementOfProperty] = (await getObject()).firstElementOfProperty␊
        |                                                      ^^^^^^^^^^^^^^^^^^^^^^ Do not access a member directly from an await expression.␊
    `

## Invalid #22
      1 | firstElement = (await getArray())[0]

> Error 1/1

    `␊
    > 1 | firstElement = (await getArray())[0]␊
        |                                   ^ Do not access a member directly from an await expression.␊
    `

## Invalid #23
      1 | property = (await getArray()).property

> Error 1/1

    `␊
    > 1 | property = (await getArray()).property␊
        |                               ^^^^^^^^ Do not access a member directly from an await expression.␊
    `
