# Snapshot report for `test/no-new-array.mjs`

The actual snapshot is saved in `no-new-array.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | const array = new Array(1)

> Output

    `␊
      1 | const array = Array.from({length: 1})␊
    `

> Error 1/1

    `␊
    > 1 | const array = new Array(1)␊
        |               ^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #2
      1 | const zero = 0;
      2 | const array = new Array(zero);

> Output

    `␊
      1 | const zero = 0;␊
      2 | const array = Array.from({length: zero});␊
    `

> Error 1/1

    `␊
      1 | const zero = 0;␊
    > 2 | const array = new Array(zero);␊
        |               ^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #3
      1 | const length = 1;
      2 | const array = new Array(length);

> Output

    `␊
      1 | const length = 1;␊
      2 | const array = Array.from({length});␊
    `

> Error 1/1

    `␊
      1 | const length = 1;␊
    > 2 | const array = new Array(length);␊
        |               ^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #4
      1 | const array = new Array(1.5)

> Output

    `␊
      1 | const array = Array.from({length: 1.5})␊
    `

> Error 1/1

    `␊
    > 1 | const array = new Array(1.5)␊
        |               ^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #5
      1 | const array = new Array(Number("1"))

> Output

    `␊
      1 | const array = Array.from({length: Number("1")})␊
    `

> Error 1/1

    `␊
    > 1 | const array = new Array(Number("1"))␊
        |               ^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #6
      1 | const array = new Array("1")

> Output

    `␊
      1 | const array = ["1"]␊
    `

> Error 1/1

    `␊
    > 1 | const array = new Array("1")␊
        |               ^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #7
      1 | const array = new Array(null)

> Output

    `␊
      1 | const array = [null]␊
    `

> Error 1/1

    `␊
    > 1 | const array = new Array(null)␊
        |               ^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #8
      1 | const array = new Array(("1"))

> Output

    `␊
      1 | const array = [("1")]␊
    `

> Error 1/1

    `␊
    > 1 | const array = new Array(("1"))␊
        |               ^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #9
      1 | const array = new Array((0, 1))

> Output

    `␊
      1 | const array = Array.from({length: (0, 1)})␊
    `

> Error 1/1

    `␊
    > 1 | const array = new Array((0, 1))␊
        |               ^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #10
      1 | const foo = []
      2 | new Array("bar").forEach(baz)

> Output

    `␊
      1 | const foo = []␊
      2 | ;["bar"].forEach(baz)␊
    `

> Error 1/1

    `␊
      1 | const foo = []␊
    > 2 | new Array("bar").forEach(baz)␊
        | ^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #11
      1 | new Array(0xff)

> Output

    `␊
      1 | Array.from({length: 0xff})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(0xff)␊
        | ^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #12
      1 | new Array(Math.PI | foo)

> Output

    `␊
      1 | Array.from({length: Math.PI | foo})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(Math.PI | foo)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #13
      1 | new Array(Math.min(foo, bar))

> Output

    `␊
      1 | Array.from({length: Math.min(foo, bar)})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(Math.min(foo, bar))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #14
      1 | new Array(Number(foo))

> Output

    `␊
      1 | Array.from({length: Number(foo)})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(Number(foo))␊
        | ^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #15
      1 | new Array(Number.MAX_SAFE_INTEGER)

> Output

    `␊
      1 | Array.from({length: Number.MAX_SAFE_INTEGER})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(Number.MAX_SAFE_INTEGER)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #16
      1 | new Array(parseInt(foo))

> Output

    `␊
      1 | Array.from({length: parseInt(foo)})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(parseInt(foo))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #17
      1 | new Array(Number.parseInt(foo))

> Output

    `␊
      1 | Array.from({length: Number.parseInt(foo)})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(Number.parseInt(foo))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #18
      1 | new Array(+foo)

> Output

    `␊
      1 | Array.from({length: +foo})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(+foo)␊
        | ^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #19
      1 | new Array(-Math.PI)

> Output

    `␊
      1 | Array.from({length: -Math.PI})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(-Math.PI)␊
        | ^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #20
      1 | new Array(-"-2")

> Output

    `␊
      1 | Array.from({length: -"-2"})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(-"-2")␊
        | ^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #21
      1 | new Array(foo.length)

> Output

    `␊
      1 | Array.from({length: foo.length})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(foo.length)␊
        | ^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #22
      1 | const foo = 1; new Array(foo + 2)

> Output

    `␊
      1 | const foo = 1; Array.from({length: foo + 2})␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 1; new Array(foo + 2)␊
        |                ^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #23
      1 | new Array(foo - 2)

> Output

    `␊
      1 | Array.from({length: foo - 2})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(foo - 2)␊
        | ^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #24
      1 | new Array(foo -= 2)

> Output

    `␊
      1 | Array.from({length: foo -= 2})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(foo -= 2)␊
        | ^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #25
      1 | new Array(foo ? 1 : 2)

> Output

    `␊
      1 | Array.from({length: foo ? 1 : 2})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(foo ? 1 : 2)␊
        | ^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #26
      1 | const truthy = "truthy"; new Array(truthy ? 1 : foo)

> Output

    `␊
      1 | const truthy = "truthy"; Array.from({length: truthy ? 1 : foo})␊
    `

> Error 1/1

    `␊
    > 1 | const truthy = "truthy"; new Array(truthy ? 1 : foo)␊
        |                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #27
      1 | const falsy = !"truthy"; new Array(falsy ? foo : 1)

> Output

    `␊
      1 | const falsy = !"truthy"; Array.from({length: falsy ? foo : 1})␊
    `

> Error 1/1

    `␊
    > 1 | const falsy = !"truthy"; new Array(falsy ? foo : 1)␊
        |                          ^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #28
      1 | new Array((1n, 2))

> Output

    `␊
      1 | Array.from({length: (1n, 2)})␊
    `

> Error 1/1

    `␊
    > 1 | new Array((1n, 2))␊
        | ^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #29
      1 | new Array(Number.NaN)

> Output

    `␊
      1 | Array.from({length: Number.NaN})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(Number.NaN)␊
        | ^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #30
      1 | new Array(NaN)

> Output

    `␊
      1 | Array.from({length: NaN})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(NaN)␊
        | ^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #31
      1 | new Array(foo >>> bar)

> Output

    `␊
      1 | Array.from({length: foo >>> bar})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(foo >>> bar)␊
        | ^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #32
      1 | new Array(foo >>>= bar)

> Output

    `␊
      1 | Array.from({length: foo >>>= bar})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(foo >>>= bar)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #33
      1 | new Array(++bar.length)

> Output

    `␊
      1 | Array.from({length: ++bar.length})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(++bar.length)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #34
      1 | new Array(bar.length++)

> Output

    `␊
      1 | Array.from({length: bar.length++})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(bar.length++)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #35
      1 | new Array(foo = bar.length)

> Output

    `␊
      1 | Array.from({length: foo = bar.length})␊
    `

> Error 1/1

    `␊
    > 1 | new Array(foo = bar.length)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #36
      1 | new Array("0xff")

> Output

    `␊
      1 | ["0xff"]␊
    `

> Error 1/1

    `␊
    > 1 | new Array("0xff")␊
        | ^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #37
      1 | new Array(Math.NON_EXISTS_PROPERTY)

> Output

    `␊
      1 | [Math.NON_EXISTS_PROPERTY]␊
    `

> Error 1/1

    `␊
    > 1 | new Array(Math.NON_EXISTS_PROPERTY)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #38
      1 | new Array(Math.NON_EXISTS_METHOD(foo))

> Error 1/1

    `␊
    > 1 | new Array(Math.NON_EXISTS_METHOD(foo))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: Math.NON_EXISTS_METHOD(foo)})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [Math.NON_EXISTS_METHOD(foo)]␊
    `

## Invalid #39
      1 | new Array(Math[min](foo, bar))

> Error 1/1

    `␊
    > 1 | new Array(Math[min](foo, bar))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: Math[min](foo, bar)})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [Math[min](foo, bar)]␊
    `

## Invalid #40
      1 | new Array(Number[MAX_SAFE_INTEGER])

> Error 1/1

    `␊
    > 1 | new Array(Number[MAX_SAFE_INTEGER])␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: Number[MAX_SAFE_INTEGER]})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [Number[MAX_SAFE_INTEGER]]␊
    `

## Invalid #41
      1 | new Array(new Number(foo))

> Error 1/1

    `␊
    > 1 | new Array(new Number(foo))␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: new Number(foo)})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [new Number(foo)]␊
    `

## Invalid #42
      1 | const foo = 1; new Array(foo + "2")

> Output

    `␊
      1 | const foo = 1; [foo + "2"]␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 1; new Array(foo + "2")␊
        |                ^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #43
      1 | new Array(foo - 2n)

> Error 1/1

    `␊
    > 1 | new Array(foo - 2n)␊
        | ^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: foo - 2n})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [foo - 2n]␊
    `

## Invalid #44
      1 | new Array(foo -= 2n)

> Error 1/1

    `␊
    > 1 | new Array(foo -= 2n)␊
        | ^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: foo -= 2n})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [foo -= 2n]␊
    `

## Invalid #45
      1 | new Array(foo instanceof 1)

> Error 1/1

    `␊
    > 1 | new Array(foo instanceof 1)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: foo instanceof 1})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [foo instanceof 1]␊
    `

## Invalid #46
      1 | new Array(foo || 1)

> Error 1/1

    `␊
    > 1 | new Array(foo || 1)␊
        | ^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: foo || 1})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [foo || 1]␊
    `

## Invalid #47
      1 | new Array(foo ||= 1)

> Error 1/1

    `␊
    > 1 | new Array(foo ||= 1)␊
        | ^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: foo ||= 1})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [foo ||= 1]␊
    `

## Invalid #48
      1 | new Array(foo ? 1n : 2)

> Error 1/1

    `␊
    > 1 | new Array(foo ? 1n : 2)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: foo ? 1n : 2})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [foo ? 1n : 2]␊
    `

## Invalid #49
      1 | new Array((1, 2n))

> Output

    `␊
      1 | [(1, 2n)]␊
    `

> Error 1/1

    `␊
    > 1 | new Array((1, 2n))␊
        | ^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #50
      1 | new Array(-foo)

> Error 1/1

    `␊
    > 1 | new Array(-foo)␊
        | ^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: -foo})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [-foo]␊
    `

## Invalid #51
      1 | new Array(~foo)

> Error 1/1

    `␊
    > 1 | new Array(~foo)␊
        | ^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: ~foo})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [~foo]␊
    `

## Invalid #52
      1 | new Array(typeof 1)

> Output

    `␊
      1 | [typeof 1]␊
    `

> Error 1/1

    `␊
    > 1 | new Array(typeof 1)␊
        | ^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    `

## Invalid #53
      1 | const truthy = "truthy"; new Array(truthy ? foo : 1)

> Error 1/1

    `␊
    > 1 | const truthy = "truthy"; new Array(truthy ? foo : 1)␊
        |                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | const truthy = "truthy"; Array.from({length: truthy ? foo : 1})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | const truthy = "truthy"; [truthy ? foo : 1]␊
    `

## Invalid #54
      1 | const falsy = !"truthy"; new Array(falsy ? 1 : foo)

> Error 1/1

    `␊
    > 1 | const falsy = !"truthy"; new Array(falsy ? 1 : foo)␊
        |                          ^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | const falsy = !"truthy"; Array.from({length: falsy ? 1 : foo})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | const falsy = !"truthy"; [falsy ? 1 : foo]␊
    `

## Invalid #55
      1 | new Array(unknown ? foo : 1)

> Error 1/1

    `␊
    > 1 | new Array(unknown ? foo : 1)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: unknown ? foo : 1})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [unknown ? foo : 1]␊
    `

## Invalid #56
      1 | new Array(unknown ? 1 : foo)

> Error 1/1

    `␊
    > 1 | new Array(unknown ? 1 : foo)␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: unknown ? 1 : foo})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [unknown ? 1 : foo]␊
    `

## Invalid #57
      1 | new Array(++foo)

> Error 1/1

    `␊
    > 1 | new Array(++foo)␊
        | ^^^^^^^^^^^^^^^^ Do not use \`new Array()\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: The argument is the length of array.␊
      1 | Array.from({length: ++foo})␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: The argument is the only element of array.␊
      1 | [++foo]␊
    `
