# Snapshot report for `test/no-static-only-class.mjs`

The actual snapshot is saved in `no-static-only-class.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | class A { static a() {}; }

> Output

    `␊
      1 | const A = { a() {}, };␊
    `

> Error 1/1

    `␊
    > 1 | class A { static a() {}; }␊
        | ^^^^^^^ Use an object instead of a class with only static members.␊
    `

## Invalid #2
      1 | class A { static a() {} }

> Output

    `␊
      1 | const A = { a() {}, };␊
    `

> Error 1/1

    `␊
    > 1 | class A { static a() {} }␊
        | ^^^^^^^ Use an object instead of a class with only static members.␊
    `

## Invalid #3
      1 | const A = class A { static a() {}; }

> Error 1/1

    `␊
    > 1 | const A = class A { static a() {}; }␊
        |           ^^^^^^^ Use an object instead of a class with only static members.␊
    `

## Invalid #4
      1 | const A = class { static a() {}; }

> Output

    `␊
      1 | const A = { a() {}, }␊
    `

> Error 1/1

    `␊
    > 1 | const A = class { static a() {}; }␊
        |           ^^^^^ Use an object instead of a class with only static members.␊
    `

## Invalid #5
      1 | class A { static constructor() {}; }

> Output

    `␊
      1 | const A = { constructor() {}, };␊
    `

> Error 1/1

    `␊
    > 1 | class A { static constructor() {}; }␊
        | ^^^^^^^ Use an object instead of a class with only static members.␊
    `

## Invalid #6
      1 | export default class A { static a() {}; }

> Error 1/1

    `␊
    > 1 | export default class A { static a() {}; }␊
        |                ^^^^^^^ Use an object instead of a class with only static members.␊
    `

## Invalid #7
      1 | export default class { static a() {}; }

> Output

    `␊
      1 | export default { a() {}, }␊
    `

> Error 1/1

    `␊
    > 1 | export default class { static a() {}; }␊
        |                ^^^^^ Use an object instead of a class with only static members.␊
    `

## Invalid #8
      1 | export class A { static a() {}; }

> Output

    `␊
      1 | export const A = { a() {}, };␊
    `

> Error 1/1

    `␊
    > 1 | export class A { static a() {}; }␊
        |        ^^^^^^^ Use an object instead of a class with only static members.␊
    `

## Invalid #9
      1 | function a() {
      2 | 	return class
      3 | 	{
      4 | 		static a() {}
      5 | 	}
      6 | }

> Output

    `␊
      1 | function a() {␊
      2 | 	return {␊
      3 | 		a() {},␊
      4 | 	}␊
      5 | }␊
    `

> Error 1/1

    `␊
      1 | function a() {␊
    > 2 | 	return class␊
        | 	       ^^^^^ Use an object instead of a class with only static members.␊
      3 | 	{␊
      4 | 		static a() {}␊
      5 | 	}␊
      6 | }␊
    `

## Invalid #10
      1 | function a() {
      2 | 	return class /* comment */
      3 | 	{
      4 | 		static a() {}
      5 | 	}
      6 | }

> Output

    `␊
      1 | function a() {␊
      2 | 	return { /* comment */␊
      3 | 	␊
      4 | 		a() {},␊
      5 | 	}␊
      6 | }␊
    `

> Error 1/1

    `␊
      1 | function a() {␊
    > 2 | 	return class /* comment */␊
        | 	       ^^^^^ Use an object instead of a class with only static members.␊
      3 | 	{␊
      4 | 		static a() {}␊
      5 | 	}␊
      6 | }␊
    `

## Invalid #11
      1 | function a() {
      2 | 	return class // comment
      3 | 	{
      4 | 		static a() {}
      5 | 	}
      6 | }

> Output

    `␊
      1 | function a() {␊
      2 | 	return { // comment␊
      3 | 	␊
      4 | 		a() {},␊
      5 | 	}␊
      6 | }␊
    `

> Error 1/1

    `␊
      1 | function a() {␊
    > 2 | 	return class // comment␊
        | 	       ^^^^^ Use an object instead of a class with only static members.␊
      3 | 	{␊
      4 | 		static a() {}␊
      5 | 	}␊
      6 | }␊
    `

## Invalid #12
      1 | class A {static a(){}}
      2 | class B extends A {}

> Output

    `␊
      1 | const A = {a(){},};␊
      2 | class B extends A {}␊
    `

> Error 1/1

    `␊
    > 1 | class A {static a(){}}␊
        | ^^^^^^^ Use an object instead of a class with only static members.␊
      2 | class B extends A {}␊
    `

## Invalid #13
      1 | class A {static a(){}}
      2 | console.log(typeof A)

> Output

    `␊
      1 | const A = {a(){},};␊
      2 | console.log(typeof A)␊
    `

> Error 1/1

    `␊
    > 1 | class A {static a(){}}␊
        | ^^^^^^^ Use an object instead of a class with only static members.␊
      2 | console.log(typeof A)␊
    `

## Invalid #14
      1 | class A {static a(){}}
      2 | const a = new A;

> Output

    `␊
      1 | const A = {a(){},};␊
      2 | const a = new A;␊
    `

> Error 1/1

    `␊
    > 1 | class A {static a(){}}␊
        | ^^^^^^^ Use an object instead of a class with only static members.␊
      2 | const a = new A;␊
    `
